Subject: Re: bug#33848: Store references in SBCL-compiled code are "invisible"

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 27 Dec 2018 19:57:41 +0100

> Every file in the store is properly scanned for references.  It’s just
> that users cannot create top-level items with a non-ASCII file name.

So if '/gnu/store/...-foo/á' is stored as UTF-8 in a binary, then it will be
found?  Is it because the filesystem encoding is also UTF-8 and Guix scans over
byte arrays?

Sorry for dragging on this, I guess I should look at the code at this point but
I have very little time these days.

-- 
Pierre Neidhardt
https://ambrevar.xyz/